<?php
namespace Ak\Woo\Model;

use Ak\Wp\Model\PostInterface;
use Doctrine\Common\Collections\Collection;

/**
 * Interface OrderInterface
 *
 * @package Ak\Woo\Model
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/woo-model
 */
interface OrderInterface extends PostInterface
{
    /**
     * Vraća ID korisnika koji je napravio narudžbu.
     *
     * @return int
     */
    public function getCustomerId(): int;

    /**
     * Vraća šifru metode naplate kojom je ova narudžba plaćena.
     *
     * @return string
     */
    public function getPaymentMethod(): ?string;

    /**
     * Vraća stavke ove narudžbe.
     *
     * @return LineItemInterface[]|Collection
     */
    public function getItems(): Collection;

    /**
     * Vraća ukupan iznos narudžbe.
     *
     * @return float
     */
    public function getTotal(): float;
}