<?php
namespace AkTest\Wp\Model;

use Ak\Woo\Model\Entity\Order;
use Ak\Woo\Model\OrderInterface;
use Doctrine\ORM\EntityManagerInterface;
use Laminas\ConfigAggregator\ConfigAggregator;
use Laminas\ServiceManager\ServiceManager;

require __DIR__ . '/../vendor/autoload.php';

$config = (new ConfigAggregator(include __DIR__ . '/config/providers.php'))->getMergedConfig();

$container = new ServiceManager($config['dependencies'] ?? []);
$container->setService('config', $config);

/** @var EntityManagerInterface $em */
$em = $container->get('em');
/** @var OrderInterface $order */
$order = $em->find(Order::class, 173355);

var_dump($order->getCustomerId(), $order->getStatus(), $order->getPaymentMethod(), $order->getTotal());

foreach ($order->getItems() as $item) {
    var_dump($item->getName(), $item->getProductId(), $item->getQuantity(), $item->getTotal());
}
